Name:           qle
Version:        0.0.8
Release:        1%{?dist}
Summary:        A QSO Logger and log Editor

Group:          Applications/Communications
License:        GPLv2+
URL:            http://homepages.woosh.co.nz/wk/qle/qle.html
Source0:        http://homepages.woosh.co.nz/wk/%{name}/%{name}-%{version}.tar.gz
#add script shebang & fix paths
Patch0:         qle-sh.patch
#Fix configuration path
Patch1:         qle-configlocation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
 
Requires:       perl, perl(DBI), perl(DBD::SQLite), perl(Tk)
#Needs hamlib package rebuild with perl bindings included
#Requires:       hamlib-perl
Requires:       cwdaemon

%description
qle is a  QSO  Logger and log  Editor for amateur radio operators who use the 
Linux operating system. Written for my personal use in rag-chewing, DX-ing and 
casual contesting, qle has logged 5000+ QSOs over the past few years.

Features of 'qle' are:
* A graphic front-end, written in the Perl programming language with help from 
the Perl/Tk graphic toolkit.
* The entire log is stored in a 'one-file' SQLite database, accessible by 3rd 
party applications.
* The optional Hamlib Radio Control Libraries grab frequency/mode data from the 
rig.
* CW may be transmitted via the optional cwdaemon server.
* Dupe-checking takes place as you type.
* Real-time and delayed QSO entry, searching of the log and QSO editing are 
supported.
* Fields can be added, removed or renamed through the config file.
* The program accepts mouse actions (casual) and hotkeys (contesting). 


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
#no build needed

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 0644 kiwi-blk-52x52.xbm $RPM_BUILD_ROOT%{_datadir}/%{name}/kiwi-blk-52x52.xbm
install -D -m 0644 foo3.db $RPM_BUILD_ROOT%{_datadir}/%{name}/foo3.db
install -D -m 0755 adifexport.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/adifexport.pl
install -D -m 0755 adifimport.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/adifimport.pl
install -D -m 0755 cabrilloimport.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/cabrilloimport.pl
install -D -m 0755 qle-0.0.7.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/qle-0.0.7.pl
install -D -m 0755 showfonts.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/showfonts.pl
install -D -m 0755 showcolor.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/showcolor.pl
install -D -m 0755 qle.sh $RPM_BUILD_ROOT%{_bindir}/qle
install -D -m 0644 qle-0.0.7.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/qle.conf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS NEWS README TODO COPYING
%config(noreplace) /etc/%{name}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.8-1
- Version Update
* Fri Dec 07 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.7-3
- Fix file permissions
- Update launcher scripts
- Add missing files
- Update license tag
- Make package noarch
- Add cwdaemon dependency
* Fri Dec 07 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.7-2
- Fixed File Paths

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.7-1
- Initial SPEC

